MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030556Community[OCCT] OCCT:Codingpublic2019-03-12 00:212019-04-03 13:04
Reportergalbramc 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 5.2.2 
Target Version[OCCT] 7.4.0Fixed in Version 
Summary0030556: Coding - IGESData_GlobalSection missing member initialization in default constructor
DescriptionI got the following error running with OCCT 7.3.0 compiled with -fsanitize=undefined:

src/IGESData/IGESData_GlobalSection.hxx:41:7: runtime error: load of value 224, which is not a valid value for type 'bool'

The default copy constructor for IGESData_GlobalSection is copying data, but none of the member variables are initialized in the default constructor.
Steps To ReproduceCompile OCCT 7.3.0 with -fsanitize=undefined and run the test suite.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0030557newkgv Open CASCADE Coding - eliminate errors reported by -fsanitize 

-  Notes
(0082855)
git (administrator)
2019-03-12 04:58

Branch CR30556 has been created by kgv.

SHA-1: 2fe3f2e662a00a38c8983fd1f5d11114089eb4d8


Detailed log of new commits:

Author: kgv
Date: Tue Mar 12 04:51:41 2019 +0300

    0030556: Coding - IGESData_GlobalSection missing member initialization in default constructor
    
    IGESData_GlobalSection now initializes class fields.
(0082861)
kgv (developer)
2019-03-12 07:02

Patch is ready for review.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR30556-master-KGV/ [^]
(0083207)
abv (manager)
2019-03-24 13:31

No remarks, please integrate
(0083219)
apn (administrator)
2019-03-25 12:00

Combination -
OCCT branch : CR30556
master SHA - 2fe3f2e662a00a38c8983fd1f5d11114089eb4d8
d67d4b811012eef8913d3c535c29654d0acf3c4c
Products branch : master SHA - 19cf12d4f918562ea1456aa224c6f7a64b9c4ad7
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16594.11999999995 / 16599.24999999996 [-0.03%]
Products
Total CPU difference: 9085.720000000027 / 9092.71000000004 [-0.08%]
Windows-64-VC14:
OCCT
Total CPU difference: 18012.5 / 17985.28125 [+0.15%]
Products
Total CPU difference: 10480.890625 / 10460.953125 [+0.19%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0083383)
git (administrator)
2019-04-03 13:04

Branch CR30556 has been deleted by inv.

SHA-1: 2fe3f2e662a00a38c8983fd1f5d11114089eb4d8

- Related Changesets
occt: master 3697d4fa
Timestamp: 2019-03-12 01:51:41
Author: kgv
Committer: apn
Details ] Diff ]
0030556: Coding - IGESData_GlobalSection missing member initialization in default constructor

IGESData_GlobalSection now initializes class fields.
mod - src/IGESData/IGESData_GlobalSection.cxx Diff ] File ]
mod - src/IGESData/IGESData_GlobalSection.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-03-12 00:21 galbramc New Issue
2019-03-12 00:21 galbramc Assigned To => kgv
2019-03-12 04:33 kgv Relationship added child of 0030557
2019-03-12 04:33 kgv Summary IGESData_GlobalSection missing member initialization in default constructor => Coding - IGESData_GlobalSection missing member initialization in default constructor
2019-03-12 04:58 git Note Added: 0082855
2019-03-12 04:59 kgv Product Version 7.3.0 => 5.2.2
2019-03-12 04:59 kgv Target Version => 7.4.0
2019-03-12 07:02 kgv Note Added: 0082861
2019-03-12 07:02 kgv Assigned To kgv => abv
2019-03-12 07:02 kgv Status new => resolved
2019-03-24 13:31 abv Note Added: 0083207
2019-03-24 13:31 abv Assigned To abv => bugmaster
2019-03-24 13:31 abv Status resolved => reviewed
2019-03-25 12:00 apn Test case number => Not needed
2019-03-25 12:00 apn Note Added: 0083219
2019-03-25 12:00 apn Status reviewed => tested
2019-03-30 13:07 apn Changeset attached => occt master 3697d4fa
2019-03-30 13:07 apn Assigned To bugmaster => apn
2019-03-30 13:07 apn Status tested => verified
2019-03-30 13:07 apn Resolution open => fixed
2019-04-03 13:04 git Note Added: 0083383


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker